package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.domain.SysTable;
import com.ruoyi.system.domain.Tender;
import com.ruoyi.system.mapper.SysTableMapper;
import com.ruoyi.system.service.ISysTableService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层实现
 *
 * @author ruoyi
 */
@Service
@DataSource(value = DataSourceType.SLAVE)
public class SysTableServiceImpl extends ServiceImpl<SysTableMapper, SysTable> implements ISysTableService {
    @Autowired
    private SysTableMapper sysTableMapper;

    public List<SysTable> list(Wrapper<SysTable> wapper) {
        List lst = sysTableMapper.selectList(wapper);
        return lst;
    }

    @Override
    public SysTable findOne(LambdaQueryWrapper<SysTable> eq) {
        return sysTableMapper.selectOne(eq);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void Save(SysTable vo) {
        sysTableMapper.insert(vo);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean saveOrUpdate(SysTable entity) {
        return super.saveOrUpdate(entity);
    }

    @Override
    public Integer selectCount(Wrapper<SysTable> queryWrapper) {
        return sysTableMapper.selectCount(queryWrapper);
    }

}
